Loading...
Searching...
No Matches
parser_html.c File Reference

GIS Library - Argument parsing functions (HTML output). More...

`#include <stdio.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "parser_local_proto.h"`
Include dependency graph for parser_html.c:

Go to the source code of this file.

## Macros

#define | do_escape(c, escaped)
| Format text for HTML output.

## Functions

void | G__usage_html (void)
| Print module usage description in HTML format.

## Detailed Description

GIS Library - Argument parsing functions (HTML output).

(C) 2001-2026 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file parser_html.c.

## Macro Definition Documentation

## do_escape

#define do_escape | ( |  | c,
|  |  | escaped )

Value:
case c: \
fputs(escaped, f); \
break

Format text for HTML output.

Definition at line 311 of file parser_html.c.

## Function Documentation

## G__usage_html()

void G__usage_html | ( | void |  | ) |

Print module usage description in HTML format.

Definition at line 29 of file parser_html.c.

References FALSE, G__print_keywords(), G__uses_new_gisprompt(), G_program_name(), and NULL.

Referenced by G_parser().